﻿import {useBaseApi} from '/@/api/base';

// 企业资料接口服务
export const useFBS_CusExtendApi = () => {
	const baseApi = useBaseApi("fBS_CusExtend");
	return {
		// 分页查询企业资料
		page: baseApi.page,
		// 查看企业资料详细
		detail: baseApi.detail,
		// 新增企业资料
		add: baseApi.add,
		// 更新企业资料
		update: baseApi.update,
		// 删除企业资料
		delete: baseApi.delete,
		// 批量删除企业资料
		batchDelete: baseApi.batchDelete,
		// 导出企业资料数据
		exportData: baseApi.exportData,
		// 导入企业资料数据
		importData: baseApi.importData,
		// 下载企业资料数据导入模板
		downloadTemplate: baseApi.downloadTemplate,
	}
}

// 企业资料实体
export interface FBS_CusExtend {
	// 主键Id
	id: number;
	// 用户ID
	customerId?: number;
	// 企业类型 
	enterpriseType?: string;
	// 交易主体code
	transactionCode?: string;
	// 营业执照文件路径
	businessLicense?: string;
	// 企业名称
	enterpriseName?: string;
	// 统一社会信用代码
	unifiedSocialCreditCode?: string;
	// 注册资金
	registeredCapital?: string;
	// 法定代表人姓名
	legalRepresentativeName?: string;
	// 法定代表人身份证文件路径
	legalRepresentativeIdCard?: string;
	// 法定代表人姓名
	legalRepresentativeIdNumber?: string;
	// 法定代表人姓名
	legalRepresentativePhone?: string;
	// 企业住所
	residence?: string;
	// 企业联系电话
	enterprisePhone?: string;
	// 企业成立时间
	establishmentTime?: string;
	// 企业主营业务
	mainBusiness: string;
	// 企业邮箱
	enterpriseEmail?: string;
	// 业务经办人姓名
	operatorName: string;
	// 业务经办人身份证文件路径或标识
	operatorIdCard: string;
	// 法定代表人姓名
	operatorIdNumber: string;
	// 法定代表人姓名
	operatorPhone: string;
	// 法定代表人姓名
	bankName?: string;
	// 法定代表人姓名
	bankAccount?: string;
	// 审核步骤
	steps?: number;
	// 租户Id
	tenantId: number;
	// 创建时间
	createTime: string;
	// 更新时间
	updateTime: string;
	// 创建者Id
	createUserId: number;
	// 创建者姓名
	createUserName: string;
	// 修改者Id
	updateUserId: number;
	// 修改者姓名
	updateUserName: string;
}